Package org.drinkless.tdlib

# Class TdApi.SettingsSectionBusiness

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SettingsSection
org.drinkless.tdlib.TdApi.SettingsSectionBusiness

Enclosing class:
  `TdApi`

public static class TdApi.SettingsSectionBusiness extends TdApi.SettingsSection
The "Telegram Business" section.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.SettingsSection

  `TdApi.SettingsSection.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `subsection`
  Subsection of the section; may be one of "", "do-not-hide-ads".

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SettingsSectionBusiness()`
  The "Telegram Business" section.
  `SettingsSectionBusiness(String subsection)`
  The "Telegram Business" section.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### subsection

    public String subsection
    Subsection of the section; may be one of "", "do-not-hide-ads".

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SettingsSectionBusiness

    public SettingsSectionBusiness()
    The "Telegram Business" section.

  - ### SettingsSectionBusiness

    public SettingsSectionBusiness(String subsection)
    The "Telegram Business" section.
    Parameters:
      `subsection` - Subsection of the section; may be one of "", "do-not-hide-ads".

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.SettingsSection`
    Returns:
      this.CONSTRUCTOR